---
title: "Create a Revision of PM Attachment & Link to a Project"
slug: "create-a-revision-of-pm-attachment-link-to-a-project"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/create-a-revision-of-pm-attachment-link-to-a-project"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Revision of PM Attachment & Link to a Project

Post/pm-doc-rest-api/jersey/v1/uploadDoc

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.resourceitem+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='9fba0c24-a700-4789-83f3-7cb8f68e96c5'>multipart/form-data</option>
</select>object  fileDetailsstring    Example{
    "PmdId":"",
    "PmdTitle":"Test Document",
    "PmdDesc1": "This is a test document",
    "PmdDesc2": "for project 14001",
    "PmdProjUuid": "A53748A3477076BFE053B08610AC40DD",
    "PmdTypeCode": "SPECMGMT",
    "PmdrComment": "RevisionNumber x ",
    "PmdrRcvdDate": "2023-07-25",
    "PmdrRevDate": "2023-07-21"
}
document-content-filestring  (binary)    

Responses200

OK

HeadersContent-TypestringExampleapplication/json
<select class='api-response-data' aria-label='Media type'><option value='12173e83-53d6-445d-9b53-7cdf3c336738'>application/json</option>
</select>

```json
{
  "result": "Document Uploaded Successfully",
  "pmdRevOraseq": 842843699,
  "pmdTitle": "Test Document",
  "pmdUuid": "0164DED6D2E048EAE06316821FAC3745",
  "pmdRevNum": "0",
  "pmdRevUuid": "0164DED6D2E248EAE06316821FAC3745",
  "pmdId": "842843698"
}
```

object
